Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 774927 - GNOME stabilisation for March 2021
Summary: GNOME stabilisation for March 2021
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 739444 770706 774942 776379 776382
Blocks: EAPI5Removal 775083
  Show dependency tree
 
Reported: 2021-03-08 22:50 UTC by Matt Turner
Modified: 2021-04-29 02:07 UTC (History)
1 user (show)

See Also:
Package list:
=app-accessibility/at-spi2-atk-2.38.0 amd64 arm arm64 ppc ppc64 s390 sparc x86 =app-accessibility/at-spi2-core-2.38.0 amd64 arm arm64 ppc ppc64 s390 sparc x86 =app-accessibility/orca-3.36.6 amd64 arm64 x86 =app-arch/file-roller-3.38.0 amd64 x86 =app-crypt/gcr-3.38.1 amd64 arm arm64 ppc ppc64 sparc x86 =app-crypt/libsecret-0.20.4 amd64 arm arm64 ppc ppc64 sparc x86 =app-editors/gedit-3.38.1 amd64 x86 =app-editors/gedit-plugins-3.38.1 amd64 x86 =app-misc/geoclue-2.5.7 amd64 arm arm64 ppc ppc64 x86 =app-misc/gnote-3.38.1 amd64 x86 =app-text/enchant-2.2.15-r1 amd64 arm arm64 ppc ppc64 sparc x86 =app-text/evince-3.36.10 amd64 x86 =app-text/gspell-1.8.4 amd64 arm64 x86 =app-text/iso-codes-4.5.0 amd64 arm arm64 ppc ppc64 sparc x86 =dev-cpp/atkmm-2.28.1 amd64 arm ppc ppc64 sparc x86 =dev-cpp/cairomm-1.14.2 amd64 arm ppc ppc64 sparc x86 =dev-cpp/gtkmm-3.24.3 amd64 arm ppc ppc64 sparc x86 =dev-cpp/mm-common-1.0.2 amd64 arm arm64 ppc ppc64 sparc x86 =dev-cpp/pangomm-2.42.2 amd64 arm ppc ppc64 sparc x86 =dev-lang/vala-0.40.24 amd64 arm arm64 ppc ppc64 s390 sparc x86 =dev-lang/vala-0.48.12 amd64 arm arm64 ppc ppc64 s390 sparc x86 =dev-libs/appstream-glib-0.7.18 amd64 arm arm64 ppc ppc64 s390 sparc x86 =dev-libs/gjs-1.66.2 amd64 arm arm64 ppc64 x86 =dev-libs/gobject-introspection-1.66.1 =dev-libs/gobject-introspection-common-1.66.1 =dev-libs/json-glib-1.6.0 amd64 arm arm64 ppc ppc64 s390 sparc x86 =dev-libs/libdazzle-3.38.0 amd64 x86 =dev-libs/libgdata-0.17.13 amd64 arm64 sparc x86 =dev-libs/libgudev-234 amd64 arm arm64 ppc ppc64 s390 sparc x86 =dev-libs/libmanette-0.2.5 amd64 arm arm64 ppc64 x86 =dev-libs/libpeas-1.28.0-r100 amd64 x86 =dev-libs/libpwquality-1.4.4 amd64 arm arm64 hppa ppc ppc64 sparc x86 =dev-libs/libsigc++-2.10.6 amd64 arm arm64 ppc ppc64 sparc x86 =dev-libs/vala-common-0.48.12 =dev-python/pygobject-3.38.0 =dev-util/devhelp-3.38.1 amd64 x86 =dev-util/gnome-builder-3.38.2 amd64 x86 =dev-util/meld-3.20.3 amd64 x86 =games-board/tali-3.38.3 amd64 x86 =gnome-base/gdm-3.36.4-r1 amd64 arm64 x86 =gnome-base/gnome-control-center-3.38.3 amd64 arm64 x86 =gnome-base/gnome-desktop-3.38.3 amd64 arm64 x86 =gnome-base/gnome-session-3.38.0 amd64 arm64 x86 =gnome-base/gnome-settings-daemon-3.38.1 amd64 arm64 x86 =gnome-base/gnome-shell-3.38.3 amd64 arm64 x86 =gnome-base/gsettings-desktop-schemas-3.38.0 amd64 arm arm64 ppc ppc64 s390 sparc x86 =gnome-base/librsvg-2.50.3 amd64 arm arm64 ppc64 x86 =gnome-extra/evolution-data-server-3.38.4 amd64 arm64 x86 =gnome-extra/evolution-ews-3.38.4 amd64 x86 =gnome-extra/gnome-calculator-3.38.2 amd64 x86 =gnome-extra/gnome-calendar-3.38.2 amd64 x86 =gnome-extra/gnome-clocks-3.38.0 amd64 x86 =gnome-extra/gnome-contacts-3.38.1 amd64 x86 =gnome-extra/gnome-shell-extensions-3.38.2 amd64 x86 =gnome-extra/gnome-shell-frippery-3.38.0 amd64 x86 =gnome-extra/gnome-system-monitor-3.38.0 amd64 x86 =gnome-extra/gnome-user-docs-3.36.6 amd64 x86 =gnome-extra/gucharmap-13.0.4 amd64 arm arm64 ppc ppc64 sparc x86 =gnome-extra/libgda-5.2.9 amd64 x86 =gnome-extra/libgsf-1.14.47 amd64 arm arm64 ppc ppc64 sparc x86 =gnome-extra/nm-applet-1.20.0 amd64 arm64 ppc ppc64 x86 =gnome-extra/yelp-3.36.2 amd64 x86 =gui-libs/amtk-5.2.0 amd64 x86 =gui-libs/libhandy-1.0.3 amd64 arm64 x86 =gui-libs/tepl-5.0.1 amd64 x86 =mail-client/evolution-3.38.4 amd64 x86 =media-fonts/cantarell-0.301 amd64 arm arm64 ppc ppc64 s390 sparc x86 =media-gfx/eog-plugins-3.26.6 amd64 x86 =media-gfx/eog-3.38.1 amd64 x86 =media-gfx/gnome-screenshot-3.38.0 amd64 x86 =media-gfx/gphoto2-2.5.26 amd64 ppc ppc64 x86 =media-gfx/shotwell-0.30.11 amd64 x86 =media-gfx/simple-scan-3.36.7 amd64 ppc ppc64 x86 =media-libs/graphene-1.10.2-r1 amd64 arm arm64 ppc ppc64 x86 =media-libs/harfbuzz-2.7.4 hppa s390 =media-libs/libgphoto2-2.5.26 amd64 arm arm64 ppc ppc64 sparc x86 =media-sound/gnome-music-3.36.7 amd64 x86 =media-sound/gnome-sound-recorder-3.38.1 amd64 x86 =media-video/pipewire-0.3.22 amd64 arm arm64 x86 =media-video/totem-3.34.1-r1 amd64 x86 =net-dialup/moserial-3.0.15 amd64 x86 =net-libs/glib-networking-2.66.0 amd64 arm arm64 ppc ppc64 s390 sparc x86 =net-wireless/gnome-bluetooth-3.34.3 amd64 arm64 x86 =sci-geosciences/gnome-maps-3.36.6 amd64 x86 =sys-apps/baobab-3.38.0 amd64 x86 =sys-apps/osinfo-db-20201015 amd64 arm64 x86 =x11-libs/colord-gtk-0.2.0 amd64 arm64 x86 =x11-libs/vte-0.62.3 amd64 arm arm64 ppc ppc64 sparc x86 =x11-terms/gnome-terminal-3.38.3 amd64 x86 =x11-themes/adwaita-icon-theme-3.38.0 amd64 arm arm64 ppc64 x86 =x11-themes/gnome-backgrounds-3.38.0 amd64 x86 =x11-wm/mutter-3.38.3-r1 amd64 arm64 x86
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Turner gentoo-dev 2021-03-08 22:50:23 UTC
The 3.38 bumps I've done have been in the tree for quite a while. Might as well stabilize.
Comment 1 NATTkA bot gentoo-dev 2021-03-08 22:56:53 UTC Comment hidden (obsolete)
Comment 2 Matt Turner gentoo-dev 2021-03-09 01:43:15 UTC
Adding two packages (libqmi and libmbim) for whom Chainsaw is the maintainer. Not sure why. Their only reverse dependency is modemmanager which gnome@ maintains.
Comment 3 NATTkA bot gentoo-dev 2021-03-09 01:48:31 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-03-09 02:00:26 UTC Comment hidden (obsolete)
Comment 5 Matt Turner gentoo-dev 2021-03-09 23:01:44 UTC
Moved networkmanager and its deps over to the dhcpcd stabilization.
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2021-03-12 08:01:42 UTC
amd64 stable
Comment 7 NATTkA bot gentoo-dev 2021-03-25 16:24:56 UTC Comment hidden (obsolete)
Comment 8 Andreas Sturmlechner gentoo-dev 2021-03-30 13:28:48 UTC
Clears up a number of EAPI-5 slackers too:
dev-cpp/cairomm
gnome-extra/filemanager-actions
x11-libs/colord-gtk
Comment 9 Matt Turner gentoo-dev 2021-04-01 03:04:32 UTC
Removing filemanager-actions from the list because I'm doubtful it even works anymore (https://gitlab.gnome.org/GNOME/filemanager-actions/-/issues/12)
Comment 10 Thomas Deutschmann gentoo-dev Security 2021-04-01 16:44:11 UTC
x86 stable
Comment 11 NATTkA bot gentoo-dev 2021-04-01 18:58:43 UTC Comment hidden (obsolete)
Comment 12 NATTkA bot gentoo-dev 2021-04-01 20:10:21 UTC Comment hidden (obsolete)
Comment 13 NATTkA bot gentoo-dev 2021-04-01 21:55:04 UTC
All sanity-check issues have been resolved
Comment 14 Stéphane Veyret 2021-04-05 08:13:25 UTC
Would that be possible (if not too late) to include networkmanager-1.30.2?
Thank you.
Comment 15 Matt Turner gentoo-dev 2021-04-05 22:09:39 UTC
(In reply to Stéphane Veyret from comment #14)
> Would that be possible (if not too late) to include networkmanager-1.30.2?
> Thank you.

Yes, it is too late. It was only added 2.5 weeks ago and networkmanager stabilization is being handled in a separate bug (bug 774942)
Comment 16 Sam James archtester gentoo-dev Security 2021-04-05 22:25:37 UTC
s390 done
Comment 17 Sam James archtester gentoo-dev Security 2021-04-12 16:02:10 UTC
arm done
Comment 18 Sam James archtester gentoo-dev Security 2021-04-12 23:10:25 UTC
arm64 done
Comment 19 Sam James archtester gentoo-dev Security 2021-04-13 15:00:16 UTC
ppc done
Comment 20 Sam James archtester gentoo-dev Security 2021-04-13 15:00:19 UTC
ppc64 done
Comment 21 Sam James archtester gentoo-dev Security 2021-04-13 15:02:58 UTC
sparc done
Comment 22 Rolf Eike Beer archtester 2021-04-13 18:46:02 UTC
hppa done, bug done.